Bug 149864 - 5 * format string requires additional arguments
5 * format string requires additional arguments
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 09:46 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 13:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-28 09:46:37 EST
Description of problem:

I just tried to compile package lirc-0.7.0-1 from 
Redhat Fedora Extras development tree.

The compiler said

1.

hw_uirt2_raw.c(152): warning #267: the format string requires
additional arguments

The source code is

        LOGPRINTF(1, "uirt2_raw_decode: %d");

One %d specifier, no trailing parameter.

2.

hw_uirt2_raw.c(330): warning #267: the format string requires
additional arguments

The source code is

                logprintf(LOG_ERR,
                          "uirt2_raw: to long RAW transmission %d > 48");

One %d specifier, no trailing parameter.

3.

serial.c(157): warning #267: the format string requires additional
arguments

The source code is

                logprintf(LOG_ERR,"%s: invalid filename \"%s%s\"",
                          filename,s);

Three %s specifiers, two trailing parameters.

4.

serial.c(226): warning #267: the format string requires additional
arguments

                logprintf(LOG_ERR,"%s: could not write pid to lock file");

More of the same.

5.

serial.c(283): warning #267: the format string requires additional
arguments

	logprintf(LOG_ERR,"%s: could not delete "
			"file \"%s\"",filename);

More of the same.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ville Skyttä 2005-02-28 13:46:10 EST
Once again, please consider reporting compiler warnings upstream
instead of here.  I did it for this case:
http://sourceforge.net/tracker/index.php?func=detail&aid=1153701&group_id=5444&atid=305444
Comment 2 Ville Skyttä 2005-04-17 13:12:49 EDT
Should be fixed in lirc-0.7.1-1 and later.

Note You need to log in before you can comment on or make changes to this bug.